Unable to proceed to install open project stable 9 from version 8.3.2 to version 9

Keywords: OpenProject - Virtual Machines - Technical issue - Upgrade

bnsupport ID: d46bb541-3ae4-7381-476c-c9b23699e6cc

bndiagnostic output:

? Mysql: Found possible issues
? Resources: Found possible issues
? Apache: Found possible issues
https://docs.bitnami.com/aws/apps/wordpress/troubleshooting/debug-errors-mysql/
https://docs.bitnami.com/general/apps/wordpress/troubleshooting/debug-errors-apache/

bndiagnostic failure reason: The documentation did not make any significant change

Description:
I tried to follow the steps for debian 9 installation using this url “https://dl.packager.io/srv/opf/openproject/stable/9/installer/debian/9.repo” should I add it inside the openproject.list? located from this path /etc/apt/sources.list.d/? i tried using the whole path sudo wget -O /etc/apt/sources.list.d/openproject.list
https://dl.packager.io/srv/opf/openproject/stable/9/installer/debian/9.repo

the output was

Resolving dl.packager.io (dl.packager.io)… 178.63.71.248
Connecting to dl.packager.io (dl.packager.io)|178.63.71.248|:443… connecte d.
ERROR: The certificate of ‘dl.packager.io’ is not trusted.
ERROR: The certificate of ‘dl.packager.io’ has expired.

Is there a way to upgradef from version 8 to 9? or is it possible to upgrade directly from 8.3.2(mysql) to version 11 (postgresql)?

Thank you…

Hi @ian.canaya,

The process you are following now only applies if you’ve installed OpenProject using our DEB/RPM packages, which is not the case. Unfortunately we do not have any guide to migrate data from MySQL to PostgreSQL. To do so, you need to backup the database as described in following guide:

https://docs.bitnami.com/google/apps/openproject/administration/backup-restore-mysql-mariadb/

And then launch the latest Bitnami OpenProject version and import the data in PostgreSQL and configure the application to work with that new database.

Regards,
Michiel

1 Like

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.